HttpServletRequestWrapper (Servlet API Documentation)
Keywords: javax.servlet.http.HttpServletRequestWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.http
Class HttpServletRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper

All Implemented Interfaces:
  HttpServletRequest, ServletRequest

public class HttpServletRequestWrapper
extends ServletRequestWrapper
implements HttpServletRequest

Provides a convenient implementation of the HttpServletRequest interface that can be subclassed by developers wishing to adapt the request to a Servlet. This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped request object.

Since:
  v 2.3
See Also:
  `HttpServletRequest`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`HttpServletRequestWrapper(HttpServletRequest request)` Constructs a request object wrapping the given request.

Method Summary
`java.lang.String` | `getAuthType()` The default behavior of this method is to return getAuthType() on the wrapped request object.
`java.lang.String` | `getContextPath()` The default behavior of this method is to return getContextPath() on the wrapped request object.
`Cookie[]` | `getCookies()` The default behavior of this method is to return getCookies() on the wrapped request object.
`long` | `getDateHeader(java.lang.String name)` The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.
`java.lang.String` | `getHeader(java.lang.String name)` The default behavior of this method is to return getHeader(String name) on the wrapped request object.
`java.util.Enumeration` | `getHeaderNames()` The default behavior of this method is to return getHeaderNames() on the wrapped request object.
`java.util.Enumeration` | `getHeaders(java.lang.String name)` The default behavior of this method is to return getHeaders(String name) on the wrapped request object.
`int` | `getIntHeader(java.lang.String name)` The default behavior of this method is to return getIntHeader(String name) on the wrapped request object.
`java.lang.String` | `getMethod()` The default behavior of this method is to return getMethod() on the wrapped request object.
`java.lang.String` | `getPathInfo()` The default behavior of this method is to return getPathInfo() on the wrapped request object.
`java.lang.String` | `getPathTranslated()` The default behavior of this method is to return getPathTranslated() on the wrapped request object.
`java.lang.String` | `getQueryString()` The default behavior of this method is to return getQueryString() on the wrapped request object.
`java.lang.String` | `getRemoteUser()` The default behavior of this method is to return getRemoteUser() on the wrapped request object.
`java.lang.String` | `getRequestedSessionId()` The default behavior of this method is to return getRequestedSessionId() on the wrapped request object.
`java.lang.String` | `getRequestURI()` The default behavior of this method is to return getRequestURI() on the wrapped request object.
`java.lang.StringBuffer` | `getRequestURL()` The default behavior of this method is to return getRequestURL() on the wrapped request object.
`java.lang.String` | `getServletPath()` The default behavior of this method is to return getServletPath() on the wrapped request object.
`HttpSession` | `getSession()` The default behavior of this method is to return getSession() on the wrapped request object.
`HttpSession` | `getSession(boolean create)` The default behavior of this method is to return getSession(boolean create) on the wrapped request object.
`java.security.Principal` | `getUserPrincipal()` The default behavior of this method is to return getUserPrincipal() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromCookie()` The default behavior of this method is to return isRequestedSessionIdFromCookie() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromUrl()` The default behavior of this method is to return isRequestedSessionIdFromUrl() on the wrapped request object.
`boolean` | `isRequestedSessionIdFromURL()` The default behavior of this method is to return isRequestedSessionIdFromURL() on the wrapped request object.
`boolean` | `isRequestedSessionIdValid()` The default behavior of this method is to return isRequestedSessionIdValid() on the wrapped request object.
`boolean` | `isUserInRole(java.lang.String role)` The default behavior of this method is to return isUserInRole(String role) on the wrapped request object.

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### HttpServletRequestWrapper

    public HttpServletRequestWrapper(HttpServletRequest request)

  Constructs a request object wrapping the given request.

Throws:
  `java.lang.IllegalArgumentException` - if the request is null

Method Detail

### getAuthType

    public java.lang.String getAuthType()

  The default behavior of this method is to return getAuthType() on the wrapped request object.

  Specified by:
    `getAuthType` in interface `HttpServletRequest`
  Returns:
    one of the static members BASIC_AUTH, FORM_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH (suitable for == comparison) or the container-specific string indicating the authentication scheme, or `null` if the request was not authenticated.

### getCookies

    public Cookie[] getCookies()

  The default behavior of this method is to return getCookies() on the wrapped request object.

  Specified by:
    `getCookies` in interface `HttpServletRequest`
  Returns:
    an array of all the `Cookies` included with this request, or `null` if the request has no cookies

### getDateHeader

    public long getDateHeader(java.lang.String name)

  The default behavior of this method is to return getDateHeader(String name) on the wrapped request object.

  Specified by:
    `getDateHeader` in interface `HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the name of the header
  Returns:
    a `long` value representing the date specified in the header expressed as the number of milliseconds since January 1, 1970 GMT, or -1 if the named header was not included with the request

### getHeader

    public java.lang.String getHeader(java.lang.String name)

  The default behavior of this method is to return getHeader(String name) on the wrapped request object.

  Specified by:
    `getHeader` in interface `HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    a `String` containing the value of the requested header, or `null` if the request does not have a header of that name

### getHeaders

    public java.util.Enumeration getHeaders(java.lang.String name)

  The default behavior of this method is to return getHeaders(String name) on the wrapped request object.

  Specified by:
    `getHeaders` in interface `HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the header name
  Returns:
    an `Enumeration` containing the values of the requested header. If the request does not have any headers of that name return an empty enumeration. If the container does not allow access to header information, return null

### getHeaderNames

    public java.util.Enumeration getHeaderNames()

  The default behavior of this method is to return getHeaderNames() on the wrapped request object.

  Specified by:
    `getHeaderNames` in interface `HttpServletRequest`
  Returns:
    an enumeration of all the header names sent with this request; if the request has no headers, an empty enumeration; if the servlet container does not allow servlets to use this method, `null`

### getIntHeader

    public int getIntHeader(java.lang.String name)

  The default behavior of this method is to return getIntHeader(String name) on the wrapped request object.

  Specified by:
    `getIntHeader` in interface `HttpServletRequest`
  Parameters:
    `name` - a `String` specifying the name of a request header
  Returns:
    an integer expressing the value of the request header or -1 if the request doesn't have a header of this name

### getMethod

    public java.lang.String getMethod()

  The default behavior of this method is to return getMethod() on the wrapped request object.

  Specified by:
    `getMethod` in interface `HttpServletRequest`
  Returns:
    a `String` specifying the name of the method with which this request was made

### getPathInfo

    public java.lang.String getPathInfo()

  The default behavior of this method is to return getPathInfo() on the wrapped request object.

  Specified by:
    `getPathInfo` in interface `HttpServletRequest`
  Returns:
    a `String`, decoded by the web container, specifying extra path information that comes after the servlet path but before the query string in the request URL; or `null` if the URL does not have any extra path information

### getPathTranslated

    public java.lang.String getPathTranslated()

  The default behavior of this method is to return getPathTranslated() on the wrapped request object.

  Specified by:
    `getPathTranslated` in interface `HttpServletRequest`
  Returns:
    a `String` specifying the real path, or `null` if the URL does not have any extra path information

### getContextPath

    public java.lang.String getContextPath()

  The default behavior of this method is to return getContextPath() on the wrapped request object.

  Specified by:
    `getContextPath` in interface `HttpServletRequest`
  Returns:
    a `String` specifying the portion of the request URI that indicates the context of the request

### getQueryString

    public java.lang.String getQueryString()

  The default behavior of this method is to return getQueryString() on the wrapped request object.

  Specified by:
    `getQueryString` in interface `HttpServletRequest`
  Returns:
    a `String` containing the query string or `null` if the URL contains no query string. The value is not decoded by the container.

### getRemoteUser

    public java.lang.String getRemoteUser()

  The default behavior of this method is to return getRemoteUser() on the wrapped request object.

  Specified by:
    `getRemoteUser` in interface `HttpServletRequest`
  Returns:
    a `String` specifying the login of the user making this request, or `null` if the user login is not known

### isUserInRole

    public boolean isUserInRole(java.lang.String role)

  The default behavior of this method is to return isUserInRole(String role) on the wrapped request object.

  Specified by:
    `isUserInRole` in interface `HttpServletRequest`
  Parameters:
    `role` - a `String` specifying the name of the role
  Returns:
    a `boolean` indicating whether the user making this request belongs to a given role; `false` if the user has not been authenticated

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  The default behavior of this method is to return getUserPrincipal() on the wrapped request object.

  Specified by:
    `getUserPrincipal` in interface `HttpServletRequest`
  Returns:
    a `java.security.Principal` containing the name of the user making this request; `null` if the user has not been authenticated

### getRequestedSessionId

    public java.lang.String getRequestedSessionId()

  The default behavior of this method is to return getRequestedSessionId() on the wrapped request object.

  Specified by:
    `getRequestedSessionId` in interface `HttpServletRequest`
  Returns:
    a `String` specifying the session ID, or `null` if the request did not specify a session ID
  See Also:
    `HttpServletRequest.isRequestedSessionIdValid()`

### getRequestURI

    public java.lang.String getRequestURI()

  The default behavior of this method is to return getRequestURI() on the wrapped request object.

  Specified by:
    `getRequestURI` in interface `HttpServletRequest`
  Returns:
    a `String` containing the part of the URL from the protocol name up to the query string
  See Also:
    `HttpUtils.getRequestURL(javax.servlet.http.HttpServletRequest)`

### getRequestURL

    public java.lang.StringBuffer getRequestURL()

  The default behavior of this method is to return getRequestURL() on the wrapped request object.

  Specified by:
    `getRequestURL` in interface `HttpServletRequest`
  Returns:
    a `StringBuffer` object containing the reconstructed URL

### getServletPath

    public java.lang.String getServletPath()

  The default behavior of this method is to return getServletPath() on the wrapped request object.

  Specified by:
    `getServletPath` in interface `HttpServletRequest`
  Returns:
    a `String` containing the name or path of the servlet being called, as specified in the request URL, decoded, or an empty string if the servlet used to process the request is matched using the "/*" pattern.

### getSession

    public HttpSession getSession(boolean create)

  The default behavior of this method is to return getSession(boolean create) on the wrapped request object.

  Specified by:
    `getSession` in interface `HttpServletRequest`
  Parameters:
    `create` - `true` to create a new session for this request if necessary; `false` to return `null` if there's no current session
  Returns:
    the `HttpSession` associated with this request or `null` if `create` is `false` and the request has no valid session
  See Also:
    `HttpServletRequest.getSession()`

### getSession

    public HttpSession getSession()

  The default behavior of this method is to return getSession() on the wrapped request object.

  Specified by:
    `getSession` in interface `HttpServletRequest`
  Returns:
    the `HttpSession` associated with this request
  See Also:
    `HttpServletRequest.getSession(boolean)`

### isRequestedSessionIdValid

    public boolean isRequestedSessionIdValid()

  The default behavior of this method is to return isRequestedSessionIdValid() on the wrapped request object.

  Specified by:
    `isRequestedSessionIdValid` in interface `HttpServletRequest`
  Returns:
    `true` if this request has an id for a valid session in the current session context; `false` otherwise
  See Also:
    `HttpServletRequest.getRequestedSessionId()`, `HttpServletRequest.getSession(boolean)`, `HttpSessionContext`

### isRequestedSessionIdFromCookie

    public boolean isRequestedSessionIdFromCookie()

  The default behavior of this method is to return isRequestedSessionIdFromCookie() on the wrapped request object.

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `HttpServletRequest`
  Returns:
    `true` if the session ID came in as a cookie; otherwise, `false`
  See Also:
    `HttpServletRequest.getSession(boolean)`

### isRequestedSessionIdFromURL

    public boolean isRequestedSessionIdFromURL()

  The default behavior of this method is to return isRequestedSessionIdFromURL() on the wrapped request object.

  Specified by:
    `isRequestedSessionIdFromURL` in interface `HttpServletRequest`
  Returns:
    `true` if the session ID came in as part of a URL; otherwise, `false`
  See Also:
    `HttpServletRequest.getSession(boolean)`

### isRequestedSessionIdFromUrl

    public boolean isRequestedSessionIdFromUrl()

  The default behavior of this method is to return isRequestedSessionIdFromUrl() on the wrapped request object.

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `HttpServletRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2002 The Apache Software Foundation. All Rights Reserved.